gcc: add GCC 4.7.2
[openwrt/staging/chunkeey.git] / toolchain / gcc / Config.in
1 # Choose gcc version.
2
3 choice
4 prompt "GCC compiler Version" if TOOLCHAINOPTS
5 default GCC_VERSION_4_4_7 if GCC_DEFAULT_VERSION_4_4_7
6 default GCC_VERSION_4_6_LINARO
7 help
8 Select the version of gcc you wish to use.
9
10 config GCC_VERSION_4_4_7
11 bool "gcc 4.4.7"
12 depends (avr32 || ubicom32)
13
14 config GCC_VERSION_4_6_2
15 bool "gcc 4.6.2"
16
17 config GCC_VERSION_4_6_3
18 bool "gcc 4.6.3"
19
20 config GCC_VERSION_4_7_0
21 bool "gcc 4.7.0"
22
23 config GCC_VERSION_4_7_2
24 bool "gcc 4.7.2"
25
26 config GCC_VERSION_4_5_LINARO
27 bool "gcc 4.5.x with Linaro enhancements"
28
29 config GCC_VERSION_4_6_LINARO
30 bool "gcc 4.6.x with Linaro enhancements"
31
32 config GCC_VERSION_4_7_LINARO
33 bool "gcc 4.7.x with Linaro enhancements"
34
35 config GCC_VERSION_LLVM
36 bool "llvm-gcc 4.2"
37 depends BROKEN
38
39 endchoice
40
41 config GCC_USE_GRAPHITE
42 bool
43 prompt "Compile in support for the new Graphite framework in GCC 4.4+" if TOOLCHAINOPTS
44 depends !GCC_VERSION_LLVM
45
46 config GCC_USE_SYSTEM_PPL_CLOOG
47 bool
48 prompt "Use the system versions of PPL and CLooG"
49 depends GCC_USE_GRAPHITE
50 default n
51
52 config EXTRA_GCC_CONFIG_OPTIONS
53 string
54 prompt "Additional gcc configure options" if TOOLCHAINOPTS
55 default ""
56 help
57 Any additional gcc options you may want to include....
58
59 config SSP_SUPPORT
60 bool
61 prompt "Enable Stack-Smashing Protection support" if TOOLCHAINOPTS
62 default n
63 help
64 Enable Stack-Smashing Protection support
65
66 config TLS_SUPPORT
67 bool
68 prompt "Enable Thread-local storage (TLS) support" if TOOLCHAINOPTS
69 default n
70 help
71 Enable Thread-local storage support
72
73 config SJLJ_EXCEPTIONS
74 bool
75 prompt "Use setjump()/longjump() exceptions" if TOOLCHAINOPTS
76 default n
77 help
78 Use old setjump()/longjump() exceptions instead of the newer
79 frame unwinding exceptions handling routines. Warning: increases
80 code size and runtime memory usage.
81
82 config INSTALL_LIBSTDCPP
83 bool
84 prompt "Build/install c++ compiler and libstdc++?" if TOOLCHAINOPTS
85 default y
86 help
87 Build/install c++ compiler and libstdc++?
88
89 config INSTALL_LIBGCJ
90 bool
91 depends on !GCC_VERSION_LLVM
92 prompt "Build/install java compiler and GNU classpath ?" if TOOLCHAINOPTS
93 default n
94 help
95 Build/install java compiler and GNU classpath ?
96
97
98 config INSTALL_GFORTRAN
99 bool
100 prompt "Build/install fortran compiler?" if TOOLCHAINOPTS
101 default n
102 help
103 Build/install GNU fortran compiler ?